openssl_csr_export_to_file
openssl_csr_get_public_key
OpenSSL Functions
PHP Manual

# openssl_csr_export

(PHP 4 >= 4.2.0, PHP 5)

openssl_csr_export — Exports a CSR as a string

### Description

bool openssl_csr_export ( resource `$csr` , string `&$out` [, bool `$notext` ] )

openssl_csr_export() takes the Certificate Signing Request represented by `csr` and stores it as ascii-armoured text into `out` , which is passed by reference.

### Parameters

`csr`

`out`

`notext`

  The optional parameter `notext` affects the verbosity of the output; if it is `FALSE`, then additional human-readable information is included in the output. The default value of `notext` is `TRUE`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- openssl_csr_export_to_file()
- openssl_csr_new()
- openssl_csr_sign()

openssl_csr_export_to_file
openssl_csr_get_public_key
OpenSSL Functions
PHP Manual